<?php
namespace ModulesAbstract\PluginReports\ReportsHistory;

class View_Options extends \App\Mvc\View_Window_PaginatedListing_OptionsAbstract
{
	protected $absLang = [];

	protected function loadTranslations()
	{
		parent::loadTranslations();
		$this->absLang = \App\Loader_Lang::getInstance()->loadAppFile('_customLoad/modulesAbstract/pluginReports/reportsHistory/listing.lang.php')->getSection("ModulesAbstract/PluginReports/ReportsHistory");
	}

	public function populateDefinedOptions(\App\Mvc\View\Utils\RowOptions\Container\Simple $options)
	{
		$options
			->append(\App\Mvc\View\Utils\RowOptions\Option\Window::create('openDetails')
				->setDescription($this->absLang['index']['options']['buttons']['openDetails'])
				->setModule($this->controller->getReportController()->getModuleAlias())
				->setAction('index')
				->setIcon("view")
				->setKeyForCurrentRow('idReport')
			)
			->append(\App\Mvc\View\Utils\RowOptions\Option\Window::create('downloadReportArchive')
				->setDescription($this->absLang['index']['options']['buttons']['downloadReportArchive'])
				->setModule($this->controller->getReportController()->getModuleAlias())
				->setAction('downloadReportArchive')
				->setIcon("export")
				->setKeyForCurrentRow('idReport')
			)
			->append(\App\Mvc\View\Utils\RowOptions\Option\Delete::create("delete")
				->setDescription($this->absLang['index']['options']['buttons']['delete'])
			)
			->append(\App\Mvc\View\Utils\RowOptions\Option\DeleteSelected::create("delete")
				->setSection('bulk')
				->setDescription($this->absLang['index']['options']['buttons']['delete'])
			);
	}
}
